### Home Classes Methods

### In Files

- lib/http_parser.rb

### Parent

Object

### Methods

- ::default_header_value_type=

### Class/Module Index

Quicksearch

- HTTP
- HTTP::Parser
- Object

No matching classes.

# HTTP::Parser

### Attributes

default_header_value_type[R]

### Public Class Methods

default_header_value_type=(val) click to toggle source

    # File lib/http_parser.rb, line 10
    def default_header_value_type=(val)
      if (val != :mixed && val != :strings && val != :arrays)
        raise ArgumentError, "Invalid header value type"
      end
      @default_header_value_type = val
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.